メインコンテンツへスキップ
GET
/
cms
/
v3
/
pages
/
landing-pages
/
folders
/
{objectId}
/
revisions
フォルダーの以前のバージョンが取得されます
curl --request GET \
  --url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/{objectId}/revisions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "object": {
        "category": 123,
        "created": "2023-11-07T05:31:56Z",
        "deletedAt": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "name": "<string>",
        "parentFolderId": 123,
        "updated": "2023-11-07T05:31:56Z"
      },
      "updatedAt": "2023-11-07T05:31:56Z",
      "user": {
        "email": "<string>",
        "fullName": "<string>",
        "id": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {}
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

before
string
limit
integer<int32>

ページごとに表示する結果の最大数。

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須
paging
object

Model definition for paging.

Last modified on March 30, 2026